Name:		xdrfile
Version:	1.1
Release:	2%{?dist}
Summary:	A small C-library for reading and writing GROMACS trr and xtc files
Group:		Applications/Engineering
License:	LGPLv3+
URL:		http://oldwiki.gromacs.org/index.php/XTC_Library
Source0:	ftp://ftp.gromacs.org/pub/contrib/%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
A small C-library for reading and writing trr and xtc files. The library is
lightweight (no dependencies, portable) and can be incorporated in other
software, because it is being distributed under the BSD license. The library
also contains one program trr2xtc which does what you would expect, and the
other way around.

%package devel
Summary:	Development library and headers for xdrfile
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development headers and libraries for xdrfile.

%prep
%setup -q -n %{name}-%{version}b
[ -s ChangeLog ] && exit 1 # exit if file has non-zero size

%build
%configure --enable-shared --disable-static
# Get rid of rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

# Remove .la files
rm %{buildroot}/%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README 
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/%{name}/

%changelog
* Sat Jun 13 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1-2
- Conserve timestamps during install, fix URL & Source0.

* Mon May 18 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1-1
- Update to 1.1 that fixes licensing and other issues.

* Wed Apr 08 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0-1
- First release.
